Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenParsers

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenParsersImpl

    public interface GenParsers

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Parsers'.

The following features are supported:

- `Editor Gen`
- `Package Name`
- `Class Name`
- `Extensible Via Service`
- `Provider Priority`
- `Implementations`
- `Impl Package Name`

See Also:
  `GMFGenPackage.getGenParsers()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`org.eclipse.emf.common.util.EList<GenParserImplementation>` `getImplementations()` Returns the value of the 'Implementations' containment reference list.
`java.lang.String` `getImplPackageName()` Returns the value of the 'Impl Package Name' attribute
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`ProviderPriority` `getProviderPriority()` Returns the value of the 'Provider Priority' attribute.
`java.lang.String` `getQualifiedClassName()` Class with parser access methods.
`boolean` `isExtensibleViaService()` Returns the value of the 'Extensible Via Service' attribute.
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setExtensibleViaService(boolean value)` Sets the value of the '`Extensible Via Service`' attribute
`void` `setImplPackageName(java.lang.String value)` Sets the value of the '`Impl Package Name`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute
`void` `setProviderPriority(ProviderPriority value)` Sets the value of the '`Provider Priority`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Label Parsers`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenParsers_EditorGen()`, `GenEditorGenerator.getLabelParsers()`
  ** Generated **
  Model:
    opposite="labelParsers" resolveProxies="false" required="true" transient="false" changeable="false"

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getGenParsers_PackageName()`
  ** Generated **
  Model:
    required="true"

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenParsers_ClassName()`
  ** Generated **
  Model:
    required="true"

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### isExtensibleViaService

    boolean isExtensibleViaService()

  Returns the value of the 'Extensible Via Service' attribute. The default value is `"false"`.

  If the meaning of the 'Extensible Via Service' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extensible Via Service' attribute.
  See Also:
    `setExtensibleViaService(boolean)`, `GMFGenPackage.getGenParsers_ExtensibleViaService()`
  ** Generated **
  Model:
    default="false"

### setExtensibleViaService

    void setExtensibleViaService(boolean value)

  Sets the value of the '`Extensible Via Service`' attribute.

  Parameters:
    `value` - the new value of the 'Extensible Via Service' attribute.
  See Also:
    `isExtensibleViaService()`
  ** Generated **

### getProviderPriority

    ProviderPriority getProviderPriority()

  Returns the value of the 'Provider Priority' attribute. The default value is `"Lowest"`. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setProviderPriority(ProviderPriority)`, `GMFGenPackage.getGenParsers_ProviderPriority()`
  ** Generated **
  Model:
    default="Lowest"

### setProviderPriority

    void setProviderPriority(ProviderPriority value)

  Sets the value of the '`Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getProviderPriority()`
  ** Generated **

### getImplementations

    org.eclipse.emf.common.util.EList<GenParserImplementation> getImplementations()

  Returns the value of the 'Implementations' containment reference list. The list contents are of type `GenParserImplementation`. It is bidirectional and its opposite is '`Holder`'.

  If the meaning of the 'Implementations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementations' containment reference list.
  See Also:
    `GMFGenPackage.getGenParsers_Implementations()`, `GenParserImplementation.getHolder()`
  ** Generated **
  Model:
    opposite="holder" containment="true" required="true"

### getImplPackageName

    java.lang.String getImplPackageName()

  Returns the value of the 'Impl Package Name' attribute. Package with parser implementations, same as packageName unless set

  Returns:
    the value of the 'Impl Package Name' attribute.
  See Also:
    `setImplPackageName(String)`, `GMFGenPackage.getGenParsers_ImplPackageName()`
  ** Generated **
  Model:

### setImplPackageName

    void setImplPackageName(java.lang.String value)

  Sets the value of the '`Impl Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Impl Package Name' attribute.
  See Also:
    `getImplPackageName()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  Class with parser access methods. In case of using extensible ParserService, that would be provider implementation class.

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.